tigase.jaxmpp.core.client.xmpp.modules.mam

## Class MessageArchiveManagementModule.ResultCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.mam.MessageArchiveManagementModule.ResultCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    MessageArchiveManagementModule

      public abstract static class MessageArchiveManagementModule.ResultCallback
      extends Object
      implements AsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.
    `abstract void` | `onSuccess(String queryid, boolean complete, RSM rsm)`
    `protected void` | `setQueryid(String queryid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### ResultCallback

          public ResultCallback()

  - ### Method Detail

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

    - #### onSuccess

          public abstract void onSuccess(String queryid,
                                         boolean complete,
                                         RSM rsm)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setQueryid

          protected void setQueryid(String queryid)

Copyright © 2006–2023 Tigase. All rights reserved.